Google Web Toolkit (Beta)
Search this site:

# Class Date

public class Date
extends Object
implements Cloneable, Comparable
Represents a date and time.

## Constructors

Date() |
Date(int, int, int) |
Date(int, int, int, int, int) |
Date(int, int, int, int, int, int) |
Date(long) |
Date(String) |

## Methods

__parse(String) |
after(Date) |
before(Date) |
clone() |
compareTo(Date) |
compareTo(Object) |
equals(Object) |
getDate() |
getDay() |
getHours() |
getMinutes() |
getMonth() |
getSeconds() |
getTime() |
getTimezoneOffset() |
getYear() |
hashCode() |
parse(String) |
setDate(int) |
setHours(int) |
setMinutes(int) |
setMonth(int) |
setSeconds(int) |
setTime(long) |
setYear(int) |
toGMTString() |
toLocaleString() |
toString() |
UTC(int, int, int, int, int, int) |